CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions
csl::SHARCInstrument Class Reference

SHARC instrument class. More...

`#include <SHARC.h>`

List of all members.

## Public Member Functions
| SHARCInstrument (char *folder, char *name)
| ~SHARCInstrument ()
char ** | spectrum_names ()
unsigned * | spectrum_keys ()
float * | spectrum_frequencies ()
SHARCSpectrum * | spectrum_named (char *name)
SHARCSpectrum * | spectrum_with_key (unsigned key)
SHARCSpectrum * | spectrum_with_frequency (float freq)
unsigned | count_spectra ()
unsigned | count_partials ()
void | dump_example ()

## Public Attributes
char * | _name
unsigned | _num_spectra
SHARCSpectrum ** | _spectra

## Private Member Functions
bool | read_from_TOC (char *folder, char *name)

## Detailed Description

SHARC instrument class.

Definition at line 100 of file SHARC.h.

## Constructor & Destructor Documentation

SHARCInstrument::SHARCInstrument | ( | char * | folder,
|  | char * | name
| ) |  |

Definition at line 99 of file SHARC.cpp.

References _num_spectra, _spectra, MAX_SPECTRA, and read_from_TOC().

SHARCInstrument::~SHARCInstrument | ( |  | ) |

Definition at line 105 of file SHARC.cpp.

References _spectra.

## Member Function Documentation

char ** SHARCInstrument::spectrum_names | ( |  | ) |

Definition at line 144 of file SHARC.cpp.

References csl::SHARCSpectrum::_note_name, _num_spectra, and _spectra.

Referenced by csl::SHARCLibrary::dump().

unsigned * SHARCInstrument::spectrum_keys | ( |  | ) |

Definition at line 153 of file SHARC.cpp.

References csl::SHARCSpectrum::_midi_key, _num_spectra, and _spectra.

float * SHARCInstrument::spectrum_frequencies | ( |  | ) |

Definition at line 162 of file SHARC.cpp.

References csl::SHARCSpectrum::_actual_pitch, _num_spectra, and _spectra.

SHARCSpectrum * SHARCInstrument::spectrum_named | ( | char * | name | ) |

Definition at line 171 of file SHARC.cpp.

References _num_spectra, and _spectra.

Referenced by csl::SHARCLibrary::spectrum(), and csl::SHARCLibrary::spectrum_named().

SHARCSpectrum * SHARCInstrument::spectrum_with_key | ( | unsigned | key | ) |

Definition at line 180 of file SHARC.cpp.

References _num_spectra, and _spectra.

Referenced by csl::SHARCLibrary::spectrum().

SHARCSpectrum * SHARCInstrument::spectrum_with_frequency | ( | float | freq | ) |

Definition at line 189 of file SHARC.cpp.

References _num_spectra, and _spectra.

unsigned SHARCInstrument::count_spectra | ( |  | ) |

Definition at line 200 of file SHARC.cpp.

References _num_spectra.

Referenced by csl::SHARCLibrary::dump_stats().

unsigned SHARCInstrument::count_partials | ( |  | ) |

Definition at line 204 of file SHARC.cpp.

References _num_spectra, _spectra, and csl::SHARCSpectrum::count_partials().

Referenced by csl::SHARCLibrary::dump_stats().

void SHARCInstrument::dump_example | ( |  | ) |

Definition at line 215 of file SHARC.cpp.

References _name, csl::SHARCSpectrum::_note_name, _spectra, and csl::SHARCSpectrum::dump_example().

Referenced by csl::SHARCLibrary::dump_example().

bool SHARCInstrument::read_from_TOC | ( | char * | folder,
|  | char * | name
| ) |  |
| private

Definition at line 111 of file SHARC.cpp.

References _name, _num_spectra, and _spectra.

Referenced by SHARCInstrument().

## Member Data Documentation

char* csl::SHARCInstrument::_name

Definition at line 103 of file SHARC.h.

Referenced by csl::SHARCLibrary::dump(), dump_example(), csl::SHARCLibrary::instrument_names(), and read_from_TOC().

unsigned csl::SHARCInstrument::_num_spectra

Definition at line 104 of file SHARC.h.

Referenced by count_partials(), count_spectra(), csl::SHARCLibrary::dump(), read_from_TOC(), SHARCInstrument(), spectrum_frequencies(), spectrum_keys(), spectrum_named(), spectrum_names(), spectrum_with_frequency(), and spectrum_with_key().

SHARCSpectrum** csl::SHARCInstrument::_spectra

Definition at line 105 of file SHARC.h.

Referenced by count_partials(), dump_example(), read_from_TOC(), SHARCInstrument(), spectrum_frequencies(), spectrum_keys(), spectrum_named(), spectrum_names(), spectrum_with_frequency(), spectrum_with_key(), test_SHARC(), and ~SHARCInstrument().

The documentation for this class was generated from the following files:

- CSL/Sources/SHARC.h
- CSL/Sources/SHARC.cpp